Monday, March 26, 2012

Episode 153 of RFC

WVSU Alumni All Stars And Jesus On RFC 153

March 26, 2012 by rudy panucci
Episode 153 of Radio Free Charleston, “Dr. Pepper Shirt,” is the video you see at the top of this post. This is a special episode, comprised entirely of rehearsal footage from two of this coming weekend’s events, The 2nd Annual Alumni All-Star Jam at WVSU, and the CYAC production of “Jesus Christ Superstar.”

I always feel sort of honored to be invited to bring the RFC cameras into a rehearsal because it means that the performers trust me to document their work-in-progress, warts and all. It’s a gutsy move, and a sign of confidence on the part of the artists involved.

Monday, March 19, 2012

Episode 152 of RFC

Metal, Ska and Soul Converge on RFC 152

March 19, 2012 by rudy panucci
Above you in this blog, you see RFC 153, “Machine of Madness Shirt,” with music from Linework, The Tom McGees and the team of Chad Foss and Sean Sydnor. There;s also a couple of weird short films and some animation, and Lee Harrah is on hand to plug an upcoming all-ages show.

Host segments were shot at various points on Charleston’s West Side. Our namesake shirt this week is “Machine of Madness,” by Heartjack. This design is a mash-up of Lovecraft and Big Daddy Roth, with Cthulu tooling around in a Hot Rod. Heartjack is also known as James Mitchell, and he has a graphic novel out that you can find here.

Monday, March 12, 2012

Episode 151 of RFC

Powerful Music On RFC 151 With Buddy Black, Prank Monkey And Karma To Burn

March 12, 2012 by rudy panucci

We are back into the thick of things with Radio Free Charleston 151, “The Tom McGees Shirt,” our first all-new episode of 2012! In this show, you will find music by Buddy Black, Johnny Compton with Prank Monkey and Karma To Burn We also get a preview of Danny Boyd’s graphic novel project, “Carbon.” 

Host segments were shot on a beautiful, windless, Sunday morning at Haddad Riverfront park. Our show is named after Charleston’s punk/ska band, The Tom McGees, and we have news about an upcoming show by them.

Monday, March 5, 2012

Episode 150 of RFC

Looking Back At LiveMix For RFC 150

March 5, 2012 by rudy panucci
It’s finally here, episode 150 of Radio Free Charleston. “Black Shirt” is a celebration of LiveMix Studio, our production partner without whom Radio Free Charleston would not exist. LiveMix is gone now, but in this episode, we revisit some of the incredible performances and speak with some of the musicians who helped make our first 150 episodes so special.

RFC Big Shot Brian Young, one of the owners of LiveMix, speaks extensively about recording some of the bands, while we also have comments from performers Raymond Wallace, Dave Roberts, Lee Harrah, Melanie Larch, and in archival footage, Tom Medvic and Dan Jordan of Feast of Stephen.

Monday, December 12, 2011

Episode 149 of RFC

Sasha Colette, Trielement, Jordan Andrew Jefferson And More In The RFC Holiday Extravaganza!

December 12, 2011 by rudy panucci
Sasha Colette on RFC!
That’s Radio Free Charleston 149, “Shredd’s Pizzeria Shirt,” at the top of this post, and it’s an early Christmas present, loaded with special gifts for our fans. 

We are proud to present a World Premiere music video by Sasha Colette,“Rock of Ages,” plus we have a music video by Jordan Andrew Jefferson, the RFC debut of a new band, Trielement, and we flashback to a special Christmas tune performed by RFC’s resident Diva, Melanie Larch and The Diablo Blues Band. We also have two trailers for special projects and we meet Hasbro!

Tuesday, November 22, 2011

Episode 148 of RFC

“MARY,” Frenchy and the Punk Headline RFC 148

November 22, 2011 by rudy panucci
At the head of this post, you will see “Red Popeye Shirt,” episode 148 of Radio Free Charleston. This edition of our show is hosted from a very soggy Veteran’s Memorial in Nitro, and presents music from the rock opera, “MARY” and Frenchy and the Punk.

Monday, November 7, 2011

Episode 147 of RFC

RFC 147 With Giants, Nerds, Volts, And Superheroes

November 7, 2011 by rudy panucci
Floating at the top of this post you will find Radio Free Charleston 147, “Mighty Avengers Shirt.” This installment of our webshow features music by Miniature Giant, Dual Core,Volt 9000 and Disturbing The Peace. We also have animation from Frank Panucci and other weirdness.
I like me gum!
Host segments were shot at a random parking lot in Kanawha City along MacCorkle Avenue. Sometimes we do things on the show for no reason. Like opening with a vintage commercial for Teaberry Gum, for instance.

Monday, October 10, 2011

Episode 146 of RFC

Tons Of Music And Leaves On RFC 146

October 10, 2011 by rudy panucci
Episode 146 of Radio Free Charleston, “Pepper Fandango Shirt,” finds us driving around the state looking at the fall colors. We have great music this week with songs from Born of Conviction, John Lancaster, Gabriel, and the cast of Jack The Ripper, plus we have animation from Frank Panucci and an art film by yours truly.

Tuesday, September 20, 2011

Episode 145 of RFC

Jack The Ripper Does RFC 145

September 20, 2011 by rudy panucci
Dan Kehde, the writer/director of "Jack The Ripper"
This episode of Radio Free Charleston is a major departure: It’s a documentary following the 2011 revival of the Dan Kehde/Mark Scarpelli musical, “Jack The Ripper.” 

Produced by The Contemporary Youth Arts Company, this daring and complex piece of musical theater was pulled together in less than six weeks. Included in the show are interviews with Dan and Mark, intercut with “fly-on-the-wall” footage from the rehearsals leading up to opening night.You will also see footage of the original production from 2008, starring Ryan Hardiman. This is rare video that has never been seen by the gneral public before.

Monday, September 5, 2011

Episode 144 of RFC

Mission Coalition On RFC

September 5, 2011 by rudy panucci


At the head of this post you will find RFC 144, “Mission Coalition Shirt.”  This special episode of the show is devoted to this weekend’s big metal fest, to be held at The Sound Factory this weekend, September 9 and 10. You may remember that we wrote extensively about this show in the PopCulteer a couple of weeks ago.

On this edition of RFC you will find music videos by the Friday and Saturday night headliners, Karma To Burn and The Suede Brothers, plus a great video from Tomorrow Burns, and live performances from HarraH and The Scrap Iron Pickers.

Mission Coalition, Charleston’s first two-day metal fest will hold their first sonic onslaught with twelve bands spread over two nights. You will hear major acts like Karma to Brun and The Suede Brothers, plus local legends The Scrap Iron Pickers, Linework, HarraH, Saprogen, Tower of the Elephant, John Lancaster, Tomorrow Burns, The Number Six, Deadface Down and Nuns on Fire. Each night the show will start at 7:30 and last until well into the wee hours.